Como Cambio el Valor "DELTA Y" en propiedades de una linea.

Ramon Araya

Nuevo Miembro
Mensajes
1
'Me Gusta'
0
Puntos
1
Estimadas(os):

Haber si alguién logra sacarme de este problema. Mis lineas en el Valor "DELTA Y" debieran estar en 0, sin embargo por cambios de vistas en el 3d estas cambiaron.
y se ven raras al presentarlas en planta. Como le hago para dejar ese valor "DELTA Y" en 0 y aque en el recuadro de Propiedades en su pestaña "Geometria" no se puede.

Agradecido.

Ramón Araya M.
1546525425314.png
 

carmoto

Miembro activo
Mensajes
61
'Me Gusta'
31
Puntos
28
Hola Ramón, te dejo una rutina que permite cambiar los valores delta de una línea, espero que te sea de utilidad, dejo a continuación el código y la rutina para descargar, no tienes mas que arrastrarla a autocad y usar el comando "delta"

Código:
(defun c:delta ( / 3darquitectura.info )
    (while
        (progn (setvar 'errno 0) (setq s (entsel "\nSeleccionar la linea cerca del punto a modificar: "))
            (cond
                (   (= 7 (getvar 'errno))
                    (princ "\nError, prueba de nuevo.")
                )
                (   (null s) nil)
                (   (/= "LINE" (cdr (assoc 0 (setq e (entget (car s))))))
                    (princ "\nEl objeto seleccionado no es una linea.")
                )
                (   (setq p (cdr (assoc 10 e))
                          q (cdr (assoc 11 e))
                    )
                    (if (< (distance (trans (cadr s) 1 0) p) (distance (trans (cadr s) 1 0) q))
                        (setq k 10 v (mapcar '- p q))
                        (setq k 11 v (mapcar '- q p))
                    )
                    (setq v (mapcar '(lambda ( s d ) (cond ((getdist (strcat "\nNuevo valor delta " s " <" (rtos d) ">: "))) (d))) '("X" "Y") v))
                    (entmod (subst (cons k (mapcar '+ (cdr (assoc (- 21 k) e)) v)) (assoc k e) e))
                    nil
                )
            )
        )
    )
    (princ)
)
Espero que sea de ayuda...
 

Adjuntos

Arriba